Developer Documentation

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Modules Pages
Public Member Functions | Private Attributes | List of all members
ACG::SceneGraph::ACG::SceneGraph::MultiPassInfoAction Class Reference

## Public Member Functions
bool | operator() (BaseNode *_node)
unsigned int | getMaxPasses () const
| Get the number of required traverse passes from Scenegraph. More...
unsigned int | getStatusPasses ()
| Get the number of required status traversals from Scenegraph. More...
unsigned int | getNodePasses ()
| Get the number of required node traversals from Scenegraph. More...

## Private Attributes
unsigned int | statusPasses_
unsigned int | nodePasses_

## Detailed Description

Get the maximum number of render passes that will be used to render the scene graph. multipassStatus() and multipassNode return a bit mask of length 32 that holds 1 at position i if the node will be i-th drawn in the i-th render pass.

So if renderPass() == 0x00...001011, the node will be drawn during render pass 1, 2 and 4.

Note
  This class implements an action that should be used as a parameter for the traverse() functions.

Definition at line 432 of file MeshNode2T.cc.

## Member Function Documentation

unsigned int ACG::SceneGraph::ACG::SceneGraph::MultiPassInfoAction::getMaxPasses | ( |  | ) | const
| inline

Get the number of required traverse passes from Scenegraph.

This number is the maximum of status and node passes required.

Definition at line 491 of file MeshNode2T.cc.

unsigned int ACG::SceneGraph::ACG::SceneGraph::MultiPassInfoAction::getNodePasses | ( |  | ) |
| inline

Get the number of required node traversals from Scenegraph.

This number is the of required node passes.

Definition at line 508 of file MeshNode2T.cc.

unsigned int ACG::SceneGraph::ACG::SceneGraph::MultiPassInfoAction::getStatusPasses | ( |  | ) |
| inline

Get the number of required status traversals from Scenegraph.

This number is the number of requried status passes required.

Definition at line 502 of file MeshNode2T.cc.

The documentation for this class was generated from the following file:

- ACG/Scenegraph/MeshNode2T.cc